LibreOffice: XContentEnumerationAccess Interface Reference

LibreOffice LibreOffice 5.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
XContentEnumerationAccess Interface Referencepublished

allows access to the collections of all content types within the object. More...

`import"XContentEnumerationAccess.idl";`

Inheritance diagram for XContentEnumerationAccess:

## Public Member Functions
com::sun::star::container::XEnumeration | createContentEnumeration ([in] string aServiceName)
sequence< string > | getAvailableServiceNames ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

allows access to the collections of all content types within the object.

This example prints the names of all tables:

1 xTextTableEnum = xTextDoc.createContentEnumeration( "com::sun::star::text::TextTable" )
2 while xTextTableEnum.hasMoreElements() do
3 print xTextTableEnum.nextElement().Name
4 wend

Developers Guide
  Text - Iterating over Text
  ProUNO - Service Manager - XContentEnumerationAccess Interface

## Member Function Documentation

com::sun::star::container::XEnumeration createContentEnumeration | ( | [in] string | aServiceName | ) |

Returns
  a new enumeration object for the contents of the specified service type.

sequence<string> getAvailableServiceNames | ( |  | ) |

Returns
  all names of services of which instances exist in this object.

XContentEnumerationAccess::createContentEnumeration() creates an enumeration for all the service names which are listed here. For all others it creates no enumeration.

The documentation for this interface was generated from the following file:

- com/sun/star/container/XContentEnumerationAccess.idl